services:
  - docker:20.10-dind

build:
  image: docker:20.10
  stage: build
  before_script:
    - apk add make
  script:
    - make gitlab-ci-build-push-images
  rules:
    - if: '$CI_COMMIT_BRANCH == "main"' 
      changes:
        - images/**/*
